Token

Create token checkout session

post

Starts a new token checkout session for the payment.

Further processing continues according to the underlying payment method stored in the token, e.g. card session flow.

This endpoint is available for both customer-initiated and merchant-initiated payments.

Authorizations
OpenID ConnectRequired

This API uses OAuth 2 with the client credentials flow. More info

Path parameters
paymentIdstring · max: 64Required

Unique ID of the payment

versionstringRequired
Header parameters
X-Request-Idstring · uuidRequired

ID of the request, unique to the call, as determined by the initiating party

Body
gatewayTokenIdstring · max: 64Required

Unique ID of the token to use for the payment

Responses
chevron-right
200

OK

application/json
actionone ofOptional
or
or
sessionIdstring · max: 64Optional

Unique ID of the checkout session

sessionStatusstring · enumOptional

Status of the checkout session

Possible values:
post
/egw/{version}/payments/{paymentId}/sessions/token

Last updated

Was this helpful?